local DefsHealingDamageFCTRemoval = CreateFrame( "Frame" )
--------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------
--  Modify the healing and damage variables to control whether it hides the FCT.
--  This removes the FCT text that Blizzard doesn't have toggles for in the UI interface.
--  Default value is healing = true and damage = true so it hides both from the FCT.
--  Set healing = false to allow the healing FCT to occur
--  Set damage = false to allow the damage FCT to occur
--------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------
local healing = true
local damage = true
--------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------
DefsHealingDamageFCTRemoval:SetScript( "OnEvent", function( self, event, ... )
	if ( event == "PLAYER_ENTERING_WORLD" ) then
		local isInitialLogin, isReloadingUi = ...
		if isInitialLogin or isReloadingUi then
			self:UnregisterEvent( event )
			if InCombatLockdown() then
				self:RegisterEvent( "PLAYER_REGEN_ENABLED" )
			else
				if healing then
					C_CVar.SetCVar( "floatingCombatTextCombatHealing", "0" )
				else
					C_CVar.SetCVar( "floatingCombatTextCombatHealing", "1" )
				end
				if damage then
					C_CVar.SetCVar( "floatingCombatTextCombatDamage", "0" )
				else
					C_CVar.SetCVar( "floatingCombatTextCombatDamage", "1" )
				end
			end
			self:RegisterEvent( "PLAYER_LOGOUT" )
		end
	elseif ( event == "PLAYER_LOGOUT" ) then
		C_CVar.SetCVar( "floatingCombatTextCombatHealing", "1" )
		C_CVar.SetCVar( "floatingCombatTextCombatDamage", "1" )
	elseif ( event == "PLAYER_REGEN_ENABLED" ) then
		self:UnregisterEvent( event )
		if healing then
			C_CVar.SetCVar( "floatingCombatTextCombatHealing", "0" )
		else
			C_CVar.SetCVar( "floatingCombatTextCombatHealing", "1" )
		end
		if damage then
			C_CVar.SetCVar( "floatingCombatTextCombatDamage", "0" )
		else
			C_CVar.SetCVar( "floatingCombatTextCombatDamage", "1" )
		end
	end
end )
DefsHealingDamageFCTRemoval:RegisterEvent( "PLAYER_ENTERING_WORLD" )